USN-4511-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-4511-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-4511-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-4511-1
Related
Published
2020-09-17T11:10:51.996995Z
Modified
2020-09-17T11:10:51.996995Z
Summary
qemu vulnerability
Details

Ziming Zhang, Xiao Wei, Gonglei Arei, and Yanyu Zhang discovered that QEMU incorrectly handled certain USB packets. An attacker inside the guest could use this issue to cause QEMU to crash, resulting in a denial of service, or possibly execute arbitrary code on the host. In the default installation, when QEMU is used with libvirt, attackers would be isolated by the libvirt AppArmor profile.

References

Affected packages

Ubuntu:20.04:LTS / qemu

Package

Name
qemu

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1:4.2-3ubuntu6.6

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "qemu-system-misc": "1:4.2-3ubuntu6.6",
            "qemu-system": "1:4.2-3ubuntu6.6",
            "qemu-system-x86-microvm": "1:4.2-3ubuntu6.6",
            "qemu-utils": "1:4.2-3ubuntu6.6",
            "qemu-user": "1:4.2-3ubuntu6.6",
            "qemu-guest-agent": "1:4.2-3ubuntu6.6",
            "qemu-kvm": "1:4.2-3ubuntu6.6",
            "qemu-block-extra": "1:4.2-3ubuntu6.6",
            "qemu-user-static": "1:4.2-3ubuntu6.6",
            "qemu-system-arm": "1:4.2-3ubuntu6.6",
            "qemu-system-x86": "1:4.2-3ubuntu6.6",
            "qemu-system-ppc": "1:4.2-3ubuntu6.6",
            "qemu-system-s390x": "1:4.2-3ubuntu6.6",
            "qemu": "1:4.2-3ubuntu6.6",
            "qemu-system-common": "1:4.2-3ubuntu6.6",
            "qemu-system-x86-xen": "1:4.2-3ubuntu6.6",
            "qemu-system-sparc": "1:4.2-3ubuntu6.6",
            "qemu-system-data": "1:4.2-3ubuntu6.6",
            "qemu-system-gui": "1:4.2-3ubuntu6.6",
            "qemu-system-mips": "1:4.2-3ubuntu6.6",
            "qemu-user-binfmt": "1:4.2-3ubuntu6.6"
        }
    ]
}

Ubuntu:18.04:LTS / qemu

Package

Name
qemu

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1:2.11+dfsg-1ubuntu7.32

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "qemu-system-misc": "1:2.11+dfsg-1ubuntu7.32",
            "qemu-system": "1:2.11+dfsg-1ubuntu7.32",
            "qemu-guest-agent": "1:2.11+dfsg-1ubuntu7.32",
            "qemu-utils": "1:2.11+dfsg-1ubuntu7.32",
            "qemu-user": "1:2.11+dfsg-1ubuntu7.32",
            "qemu-kvm": "1:2.11+dfsg-1ubuntu7.32",
            "qemu-block-extra": "1:2.11+dfsg-1ubuntu7.32",
            "qemu-user-static": "1:2.11+dfsg-1ubuntu7.32",
            "qemu-system-arm": "1:2.11+dfsg-1ubuntu7.32",
            "qemu-system-x86": "1:2.11+dfsg-1ubuntu7.32",
            "qemu-system-ppc": "1:2.11+dfsg-1ubuntu7.32",
            "qemu-system-s390x": "1:2.11+dfsg-1ubuntu7.32",
            "qemu": "1:2.11+dfsg-1ubuntu7.32",
            "qemu-system-common": "1:2.11+dfsg-1ubuntu7.32",
            "qemu-system-sparc": "1:2.11+dfsg-1ubuntu7.32",
            "qemu-system-mips": "1:2.11+dfsg-1ubuntu7.32",
            "qemu-user-binfmt": "1:2.11+dfsg-1ubuntu7.32"
        }
    ]
}

Ubuntu:16.04:LTS / qemu

Package

Name
qemu

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1:2.5+dfsg-5ubuntu10.46

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "qemu-system-misc": "1:2.5+dfsg-5ubuntu10.46",
            "qemu-system": "1:2.5+dfsg-5ubuntu10.46",
            "qemu-guest-agent": "1:2.5+dfsg-5ubuntu10.46",
            "qemu-utils": "1:2.5+dfsg-5ubuntu10.46",
            "qemu-user": "1:2.5+dfsg-5ubuntu10.46",
            "qemu-kvm": "1:2.5+dfsg-5ubuntu10.46",
            "qemu-block-extra": "1:2.5+dfsg-5ubuntu10.46",
            "qemu-user-static": "1:2.5+dfsg-5ubuntu10.46",
            "qemu-system-arm": "1:2.5+dfsg-5ubuntu10.46",
            "qemu-system-aarch64": "1:2.5+dfsg-5ubuntu10.46",
            "qemu-system-x86": "1:2.5+dfsg-5ubuntu10.46",
            "qemu-system-ppc": "1:2.5+dfsg-5ubuntu10.46",
            "qemu-system-s390x": "1:2.5+dfsg-5ubuntu10.46",
            "qemu": "1:2.5+dfsg-5ubuntu10.46",
            "qemu-system-common": "1:2.5+dfsg-5ubuntu10.46",
            "qemu-system-sparc": "1:2.5+dfsg-5ubuntu10.46",
            "qemu-system-mips": "1:2.5+dfsg-5ubuntu10.46",
            "qemu-user-binfmt": "1:2.5+dfsg-5ubuntu10.46"
        }
    ]
}